CmdMessenger 4.0.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CommandMessenger.Transport.Bluetooth.BluetoothConnectionStorer Class Reference
Inheritance diagram for CommandMessenger.Transport.Bluetooth.BluetoothConnectionStorer:

List of all members.

## Public Member Functions
| BluetoothConnectionStorer ()
| Contructor of Store/Retreive object for SerialConnectionManagerSettings The file is serialized as a simple binary file.
| BluetoothConnectionStorer (string settingsFileName)
| Contructor of Store/Retreive object for SerialConnectionManagerSettings The file is serialized as a simple binary file.
void | StoreSettings (BluetoothConnectionManagerSettings bluetoothConnectionManagerSettings)
| Store SerialConnectionManagerSettings.
BluetoothConnectionManagerSettings | RetrieveSettings ()
| Retreive SerialConnectionManagerSettings.

## Constructor & Destructor Documentation

CommandMessenger.Transport.Bluetooth.BluetoothConnectionStorer.BluetoothConnectionStorer | ( |  | ) |

Contructor of Store/Retreive object for SerialConnectionManagerSettings The file is serialized as a simple binary file.

CommandMessenger.Transport.Bluetooth.BluetoothConnectionStorer.BluetoothConnectionStorer | ( | string | settingsFileName | ) |

Contructor of Store/Retreive object for SerialConnectionManagerSettings The file is serialized as a simple binary file.

Parameters:

  settingsFileName | Filename of the settings file

## Member Function Documentation

BluetoothConnectionManagerSettings CommandMessenger.Transport.Bluetooth.BluetoothConnectionStorer.RetrieveSettings | ( |  | ) |

Retreive SerialConnectionManagerSettings.

Returns:
  SerialConnectionManagerSettings

Implements CommandMessenger.Transport.Bluetooth.IBluetoothConnectionStorer.

void CommandMessenger.Transport.Bluetooth.BluetoothConnectionStorer.StoreSettings | ( | BluetoothConnectionManagerSettings | bluetoothConnectionManagerSettings | ) |

Store SerialConnectionManagerSettings.

Parameters:

  bluetoothConnectionManagerSettings | BluetoothConnectionManagerSettings

Implements CommandMessenger.Transport.Bluetooth.IBluetoothConnectionStorer.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino/Own Arduino libraries/CmdMessenger/Arduino-CmdMessenger/extras/CSharp/CommandMessenger.Transport.Bluetooth/BluetoothConnectionStorer.cs